[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanel.Assign

Assign copies text, width, alignment, bevel and style properties from Source if it is of correct type, otherwise calls inherited Assign (which will probably raise an exception)

## Declaration

Source position: comctrls.pp line 90

`public procedure TStatusPanel.Assign(`
`Source: TPersistent`
`); override;`

## See also

TPersistent.Assign

The latest version of this document can be found at lazarus-ccr.sourceforge.net.